﻿# coding=utf-8
import json

from Config import Config
from Http import SendHttp


def createAcount():
    # 个人账户创建
    # /v1/accounts/createByThirdPartyUserId
    # POST
    """
    （1）对接方调用本接口在e签宝平台中创建个人账号，后续有关该用户的所有操作都需使用该用户的accountId。如提供用户证件信息，则将根据提供的用户证件信息申请数字证书。
    （2）创建账户的同时会生成一个默认的个人印章
    """
    url = Config.host + '/v1/accounts/createByThirdPartyUserId'

    """
    thirdPartyUserId,用户唯一标识，可传入第三方平台的个人用户id、证件号、手机号、邮箱等，如果设置则作为账号唯一性字段，相同信息不可重复创建。（个人用户与机构的唯一标识不可重复）
    name,姓名
    idType,证件类型
    idNumber,证件号
    mobile,手机号
    email,邮箱地址
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Account():
        def __init__(account):
            account.thirdPartyUserId = "20191211"
            account.name = ""
            account.idType = "CRED_PSN_CH_IDCARD"
            account.idNumber = ""
            account.mobile = ""
            account.email = "wuhuan@tsign.cn"

    body = json.dumps(Account().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def deleteAccount(accountID):
    # 注销个人账户
    # /v1/accounts/{accountId}
    # DELETE
    """
    接口描述：
    通过账号id注销e签宝平台的个人账号
    注销后的账号不能再发起签署，已发起的流程也无法继续签署
    """
    url = Config.host + "/v1/accounts/" + accountID
    print (url)
    response = SendHttp.requests_delete(url=url)
    return response