# coding=utf-8
import json
from Config import Config
from Http import SendHttp

def base():
    # 个人2要素信息比对
    # /v2/identity/verify/individual/base
    # POST
    """
    对个人姓名和身份证号的一致性进行检查校验,仅支持中国大陆信息核验
    """
    url = Config.host + '/v2/identity/verify/individual/base'

    """
    name,姓名
    idNo,证件号
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Account():
        def __init__(account):
            account.name = ""
            account.idNo = ""

    body = json.dumps(Account().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def telecom3Factors():
    # 个人运营商3要素信息比对
    #/v2/identity/verify/individual/telecom3Factors
    # POST
    """
    对个人姓名、身份证号和手机号码的一致性进行检查校验
    """
    url = Config.host + '/v2/identity/verify/individual/telecom3Factors'

    """
    name,姓名
    idNo,证件号
    mobileNo,手机号（中国大陆3大运营商）
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Account():
        def __init__(account):
            account.name = ""
            account.idNo = ""
            account.mobileNo= ""

    body = json.dumps(Account().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def bank3Factors():
    # 个人银行卡3要素信息比对
    #/v2/identity/verify/individual/bank3Factors
    # POST
    """
    对个人姓名、身份证号、银行卡号的一致性进行检查校验
    """
    url = Config.host + '/v2/identity/verify/individual/bank3Factors'

    """
    name,姓名
    idNo,证件号
    cardNo,银行卡号（银联卡号）
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Account():
        def __init__(account):
            account.name = ""
            account.idNo = ""
            account.cardNo= ""

    body = json.dumps(Account().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def bank4Factors():
    # 个人银行卡3要素信息比对
    #/v2/identity/verify/individual/bank4Factors
    # POST
    """
    对个人姓名、身份证号、银行卡号和银行预留手机号的一致性进行检查校验
    """
    url = Config.host + '/v2/identity/verify/individual/bank4Factors'

    """
    name,姓名
    idNo,证件号
    cardNo,银行卡号（银联卡号）
    mobileNo,银行预留手机号（非短信通知手机号）
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Account():
        def __init__(account):
            account.name = ""
            account.idNo = ""
            account.cardNo= ""
            account.mobileNo = ""

    body = json.dumps(Account().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def enterprisebase():
    # 企业2要素信息比对
    #/v2/identity/verify/organization/enterprise/base
    # POST
    """

    """
    url = Config.host + '/v2/identity/verify/organization/enterprise/base'

    """
    name,企业名称
    orgCode,企业证件号,支持15位工商注册号或统一社会信用代码
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Org():
        def __init__(org):
            org.name = ""
            org.orgCode = ""

    body = json.dumps(Org().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def bureau3Factors():
    # 企业3要素信息比对
    #/v2/identity/verify/organization/enterprise/bureau3Factors
    # POST
    """
    对工商体系中的企业名称、证件号和法定代表人姓名的一致性进行检查校验
    """
    url = Config.host + '/v2/identity/verify/organization/enterprise/bureau3Factors'

    """
    name,姓名
    orgCode,企业证件号,支持15位工商注册号或统一社会信用代码
    legalRepName,企业法定代表人姓名
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Org():
        def __init__(org):
            org.name = ""
            org.orgCode = ""
            org.legalRepName= ""

    body = json.dumps(Org().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def bureau4Factors():
    # 企业4要素信息比对
    #/v2/identity/verify/organization/enterprise/bureau4Factors
    # POST
    """
    对工商体系中的企业名称、证件号和法定代表人姓名的一致性进行检查校验
    """
    url = Config.host + '/v2/identity/verify/organization/enterprise/bureau4Factors'

    """
    name,姓名
    orgCode,企业证件号,支持15位工商注册号或统一社会信用代码
    legalRepName,企业法定代表人姓名
    legalRepCertNo,企业法定代表人身份证号
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class Org():
        def __init__(org):
            org.name = ""
            org.orgCode = ""
            org.legalRepName= ""
            org.legalRepCertNo = ""

    body = json.dumps(Org().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response

def lawFirm():
    # 律所3要素信息比对
    #/v2/identity/verify/organization/lawFirm
    # POST
    """
    对律所注册信息正确性进行检查校验
    """
    url = Config.host + '/v2/identity/verify/organization/lawFirm'

    """
    name,姓名
    codeUSC,企业证件号,支持15位工商注册号或统一社会信用代码
    legalRepName,企业法定代表人姓名
    """

    # 当需要将Python中的对象进行json编码时,需调用对象的__dict__方法
    class LawFirm():
        def __init__(lawFirm):
            lawFirm.name = ""
            lawFirm.codeUSC = ""
            lawFirm.legalRepName= ""

    body = json.dumps(LawFirm().__dict__)
    response = SendHttp.requests_post(url=url, body=body)
    return response